import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { AdDeliveryPlanDisplay } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-20 13:55
 */
interface AdDeliveryPlanDisplayCU extends ConditionUtil<AdDeliveryPlanDisplayCU> {
    AD_DELIVERY_PLAN_ID: FieldUtil<AdDeliveryPlanDisplayCU>;
    AD_INFO_ID: FieldUtil<AdDeliveryPlanDisplayCU>;
    SERVER_DISPLAY_TIMES: FieldUtil<AdDeliveryPlanDisplayCU>;
    CLIENT_DISPLAY_TIMES: FieldUtil<AdDeliveryPlanDisplayCU>;
    LIMIT_DISPLAY_TIMES: FieldUtil<AdDeliveryPlanDisplayCU>;
}
declare class AdDeliveryPlanDisplayMU extends TableUtilImpl<AdDeliveryPlanDisplayCU, AdDeliveryPlanDisplay> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): AdDeliveryPlanDisplayCU;
    static get AD_DELIVERY_PLAN_ID(): FieldUtil<AdDeliveryPlanDisplayCU>;
    static get AD_INFO_ID(): FieldUtil<AdDeliveryPlanDisplayCU>;
    static get SERVER_DISPLAY_TIMES(): FieldUtil<AdDeliveryPlanDisplayCU>;
    static get CLIENT_DISPLAY_TIMES(): FieldUtil<AdDeliveryPlanDisplayCU>;
    static get LIMIT_DISPLAY_TIMES(): FieldUtil<AdDeliveryPlanDisplayCU>;
    get AD_DELIVERY_PLAN_ID(): FieldUtil<AdDeliveryPlanDisplayCU>;
    get AD_INFO_ID(): FieldUtil<AdDeliveryPlanDisplayCU>;
    get SERVER_DISPLAY_TIMES(): FieldUtil<AdDeliveryPlanDisplayCU>;
    get CLIENT_DISPLAY_TIMES(): FieldUtil<AdDeliveryPlanDisplayCU>;
    get LIMIT_DISPLAY_TIMES(): FieldUtil<AdDeliveryPlanDisplayCU>;
}
export { AdDeliveryPlanDisplayMU, AdDeliveryPlanDisplayCU };
